// Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019.
// Built in San Francisco.

// This software is distributed under a commercial license for personal,
// educational, corporate or any other use.
// The software as a whole or any parts of it is prohibited for distribution or
// use without obtaining a license from 3D Control Systems, Inc.

// All software licenses are subject to the 3DPrinterOS terms of use
// (available at https://www.3dprinteros.com/terms-and-conditions/),
// and privacy policy (available at https://www.3dprinteros.com/privacy-policy/)

import QtQuick 2.7

AbstactFilamentPage {
    id: unloadInfo

    animSource: "gifs/removehead.gif"
    infoText: qsTr("Rotate the printhead lever counter-clockwise 90 degrees to release the printhead. Then remove the printhead by sliding it to the left. After removing the printhead press 'Next'")
    footer.visible: false
    footer.onNextClicked: {
        if (filamentWizardRoot.wizardType === FilamentWizard.WizardType.RemovePrinthead) {
            filamentWizardStack.push("ChangePrinthead.qml")
            return
        }
        filamentWizardStack.push("UnloadInfo2.qml")
    }

    Component.onCompleted: {
//        filamentWizardRoot.startTestTimer() // comment me
        printerModel.executeGcodeLine('M98 P"retracttorelease.g"')
    }
}
